| Home | Libraries | People | FAQ | More

## Function hash_value

boost::hash_value —

## Synopsis

    template<typename K, typename C, typename A>
      std::size_t hash_value(std::set<K, C, A> const & val);
    template<typename K, typename C, typename A>
      std::size_t hash_value(std::multiset<K, C, A> const & val);

## Description

Returns: `hash_range(val.begin(), val.end());`
Throws: Only throws if `hash_value(T)` throws.
Notes: This is an extension to TR1

| Copyright © 2005 Daniel James